Name:           python-fb8
Version:        1.2.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Implementation of FB8, a generalization of the Kent (1982) and Bingham-Mardia (1978) distributions on a sphere

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/tianluyuan/sphere.git
Source:         %{pypi_source fb8}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fb8' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fb8
Summary:        %{summary}

%description -n python3-fb8 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-fb8 plotting


%prep
%autosetup -p1 -n fb8-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x plotting


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fb8 -f %{pyproject_files}


%changelog
%autochangelog